#![allow(clippy::module_name_repetitions, clippy::must_use_candidate)]

//! BIP-0032 derivation utilities.

pub mod extended_key;
pub mod index;
pub mod path;
pub mod private_key;
pub mod public_key;
pub mod request;

#[cfg(test)]
mod tests;

pub use crate::{
    extended_key::{private_key::ExtendedPrivateKey, public_key::ExtendedPublicKey},
    index::DerivationIndex,
    path::DerivationPath,
    private_key::PrivateKey,
    public_key::PublicKey,
};
