# `keyfork wizard`

Set up Keyfork using a guided setup process.

## `keyfork wizard generate-shard-secret`

Generate a 256-bit seed, derive OpenPGP keys using the seed, provision smart
cards using the derived keys, and export a Shard file.

<div class="warning">
This command will <b>factory-reset</b> any smart cards plugged into the system.
It is recommended to use smart cards dedicated to the purpose of seed recovery.
</div>

### Arguments

`keyfork wizard generate-shard-secret --threshold=1 --max=3 --keys-per-shard=1`

* `threshold`: The minimum amount of shardholders needed to recover the
  secret.
* `max`: The maximum amount of shardholders.
* `keys-per-shard`: The amount of smart cardsz to provision per-shardholder.

### Prompts

The wizard will prompt for a User PIN and an Admin PIN for every shardholder,
and will require `keys-per-shard` smartcards to be provisioned for every
shardholder.

### Output

An OpenPGP-encrypted Shard file.
